> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}:
    patch:
      tags:
        - Assistant Conversations
      summary: Rename
      operationId: AssistantConversationsController_rename_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: conversationId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssistantConversationBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantConversationResponseDto'
components:
  schemas:
    UpdateAssistantConversationBodyDto:
      type: object
      properties:
        projectId:
          type: string
          pattern: ^[1-9]\d*$
        title:
          type: string
          minLength: 1
          maxLength: 200
      required:
        - title
      additionalProperties: false
    AssistantConversationResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
          nullable: true
        agentId:
          type: string
        title:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
        currentRun:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/AssistantRunResponseDto'
      required:
        - id
        - projectId
        - agentId
        - title
        - createdAt
        - updatedAt
        - currentRun
    AssistantRunResponseDto:
      type: object
      properties:
        id:
          type: string
        conversationId:
          type: string
        userMessageId:
          type: string
        assistantMessageId:
          type: string
        clientTurnId:
          type: string
        status:
          type: string
        stateVersion:
          type: number
        safeErrorCode:
          type: string
          nullable: true
        cancellationRequestedAt:
          type: string
          nullable: true
        startedAt:
          type: string
          nullable: true
        completedAt:
          type: string
          nullable: true
        failedAt:
          type: string
          nullable: true
        cancelledAt:
          type: string
          nullable: true
        steps:
          type: array
          items:
            $ref: '#/components/schemas/AssistantRunStepResponseDto'
        retry:
          type: object
          properties:
            classification:
              enum:
                - retry_answer
                - retry_processing
                - retry_continuation
              type: string
            executable:
              type: boolean
            unavailableReason:
              type: string
              nullable: true
          required:
            - classification
            - executable
            - unavailableReason
      required:
        - id
        - conversationId
        - userMessageId
        - assistantMessageId
        - clientTurnId
        - status
        - stateVersion
        - safeErrorCode
        - cancellationRequestedAt
        - startedAt
        - completedAt
        - failedAt
        - cancelledAt
        - steps
        - retry
    AssistantRunStepResponseDto:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
        status:
          type: string
        toolName:
          type: string
          nullable: true
        progressPhase:
          type: string
          nullable: true
        progressPercentage:
          type: number
          nullable: true
        safeErrorCode:
          type: string
          nullable: true
        stateVersion:
          type: number
      required:
        - id
        - kind
        - status
        - toolName
        - progressPhase
        - progressPercentage
        - safeErrorCode
        - stateVersion

````